Loading...
Searching...
No Matches
rpmurl.h File Reference
I/O » RPM IO API.
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef enum urltype_e | urltype

## Enumerations

enum | urltype_e { URL_IS_UNKNOWN = 0 , URL_IS_DASH = 1 , URL_IS_PATH = 2 , URL_IS_FTP = 3 , URL_IS_HTTP = 4 , URL_IS_HTTPS = 5 , URL_IS_HKP = 6 }

## Functions

urltype | urlIsURL (const char *url)
urltype | urlPath (const char *url, const char **pathp)
int | urlGetFile (const char *url, const char *dest)

## Detailed Description

A couple utils for URL Manipulation